// inputglwin.hpp -- OpenGL window for map fragments
//
// Written by Frederic Bouvier, started October 2001.
//
// Copyright (C) 2001  Frederic Bouvier - fredb@users.sourceforge.net
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of the
// License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: inputglwin.hpp,v 1.7 2005/05/09 07:01:52 fredb Exp $

#ifndef _inputglwin_hpp_
#define _inputglwin_hpp_

#include <FL/Fl_Gl_Window.H>

class Fl_Scrollbar;
class Fl_Value_Slider;
class Fl_Output;
class FGSD_InputWindow;

class FGSD_InputGLWindow : public Fl_Gl_Window {
   public:
      FGSD_InputGLWindow(int x, int y, int w, int h, FGSD_InputWindow *__parent );
      ~FGSD_InputGLWindow();

      void resize( int x,int y,int w,int h );

   private:
      void draw();
      int handle( int __evt );

   private:
      FGSD_InputWindow *_parent;
};

#endif
