// pngimage.hpp -- image data from png file
//
// Written by Frederic Bouvier, started October 2001.
//
// Copyright (C) 2001  Frederic Bouvier - fredb@users.sourceforge.net
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of the
// License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: pngimage.hpp,v 1.2 2005/05/09 07:02:12 fredb Exp $

#ifndef pngimage_h
#define pngimage_h 1

// image
#include "image.hpp"

class FGSD_PNGImage : public FGSD_Image
{
   public:
      FGSD_PNGImage(bool __reverted = false);
      ~FGSD_PNGImage ();

      bool load (const char *__fileName);

   private:
      bool _reverted;
};

#endif
