// tileactfact.hpp -- the action factory for tile actions
//
// Written by Frederic Bouvier, started May 2002.
//
// Copyright (C) 2002  Frederic Bouvier - fredb@users.sourceforge.net
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of the
// License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: tileactfact.hpp,v 1.2 2002/06/01 20:56:20 fredb Exp $

#ifndef _tileactfact_hpp_
#define _tileactfact_hpp_

#include "actfact.hpp"

class FGSD_TileActionFactory : public FGSD_ActionFactory {
   public:
      ~FGSD_TileActionFactory();

      FGSD_Action *createAction( const char *__project, SGPropertyNode * );

      std::string getName() const;
};

#endif
