// main.cpp -- entry point of the program
//
// Written by Frederic Bouvier, started October 2001.
//
// Copyright (C) 2001  Frederic Bouvier - fredb@users.sourceforge.net
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of the
// License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: main.cpp,v 1.12 2005/05/09 07:02:06 fredb Exp $

#include <stdlib.h>

#ifdef _MSC_VER
#pragma warning( disable : 4786 4800 4503 )
#endif

#include "mainwin.hpp"
#include <FL/Fl.H>

int main(int argc, char **argv)
{
   FGSD_MainWindow mainWindow( 680, 480 );

#if defined(_MSC_VER) && defined(_MSC_DLL)
   int __argc = 1;
   static char *args[2] = { "Fgsd", NULL };
   char **__argv = &args[0];
#elif !defined(_MSC_VER)
   int __argc = argc;
   char **__argv = argv;
#endif
   mainWindow.show( __argc, __argv );
   return Fl::run();
}
