// mainglwin.hpp -- OpenGL window for the main workspace
//
// Written by Frederic Bouvier, started October 2001.
//
// Copyright (C) 2001  Frederic Bouvier - fredb@users.sourceforge.net
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of the
// License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: mainglwin.hpp,v 1.7 2005/05/09 07:02:07 fredb Exp $

#ifndef _mainglwin_hpp_
#define _mainglwin_hpp_

#include <FL/Fl_Gl_Window.H>

class FGSD_MainWindow;

class FGSD_MainGLWindow : public Fl_Gl_Window {
   public:
      FGSD_MainGLWindow(int x, int y, int w, int h, FGSD_MainWindow *__parent );
      ~FGSD_MainGLWindow();

      void resize( int x,int y,int w,int h );

   private:
      void draw();
      int handle( int __evt );

   private:
      FGSD_MainWindow *_parent;
};

#endif
