// rgbimage.hpp -- image data from rgb file
//
// Written by Frederic Bouvier, started May 2003.
//
// Copyright (C) 2003  Frederic Bouvier - fredb@users.sourceforge.net
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of the
// License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: rgbimage.hpp,v 1.2 2005/05/09 07:02:13 fredb Exp $

#ifndef rgbimage_h
#define rgbimage_h 1

#include <stdio.h>

// image
#include "image.hpp"

class FGSD_RGBImage : public FGSD_Image
{
   public:
      FGSD_RGBImage(bool __reverted = false);
      ~FGSD_RGBImage ();

      bool load (const char *__fileName);
      bool save (const char *__fileName);

   private:
      bool _reverted;
};

#endif
