// window.cpp -- a window with modal functionality
//
// Written by Frederic Bouvier, started February 2004.
//
// Copyright (C) 2004  Frederic Bouvier - fredb@users.sourceforge.net
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of the
// License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: window.cpp,v 1.1 2004/02/14 14:17:40 fredb2 Exp $

#include "window.hpp"

#include <FL/Fl.H>

bool FGSD_Window::exec()
{
   set_modal();
   show();
   while ( v == -1 )
      {
      Fl::wait();
      }
   bool res = ( v != 0 );
   v = -1;
   set_non_modal();
   return res;
}
